> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Admin Config

> Create new PPM admin configuration



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml post /api/v4/ppm/admin/config
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/v4/ppm/admin/config:
    post:
      tags:
        - PPM
      summary: Create Admin Config
      description: Create new PPM admin configuration
      operationId: postAdminConfig
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdminConfigRequest'
        description: PPM admin configuration
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminConfigResponse'
          description: Created
        '400':
          $ref: '#/components/responses/400'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    AdminConfigRequest:
      properties:
        auth:
          $ref: '#/components/schemas/AdminAuthRequest'
        baseUrl:
          description: PPM instance base URL
          type: string
        id:
          description: Config ID (auto-generated if not provided)
          type: string
        name:
          description: Optional human-readable name for the PPM server
          type: string
        repos:
          description: Enabled repository types
          items:
            type: string
          type: array
      required:
        - baseUrl
        - auth
        - repos
      type: object
    AdminConfigResponse:
      properties:
        auth:
          $ref: '#/components/schemas/AdminAuthResponse'
        baseUrl:
          description: PPM instance base URL
          type: string
        createdAt:
          description: ISO timestamp when the configuration was created
          type: string
        id:
          description: Config ID
          type: string
        name:
          description: Optional human-readable name for the PPM server
          type: string
        repos:
          description: Enabled repository types
          items:
            type: string
          type: array
      required:
        - id
        - baseUrl
        - auth
        - repos
      type: object
    AdminAuthRequest:
      properties:
        token:
          description: >-
            Authentication token for PPM. Optional - omit or leave empty for
            repositories that do not require authentication.
          type: string
      type: object
    AdminAuthResponse:
      properties:
        hasToken:
          description: Whether a token is configured
          type: boolean
        token:
          description: Authentication token (redacted as "<redacted>" if present)
          type: string
      required:
        - token
        - hasToken
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````